﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.GridHelperClasses;

namespace WindowsFormsApplication21
{

    public partial class Form1 : Form
    {
        string newvalue = string.Empty;
        public Form1()
        {

            InitializeComponent();

            this.gridGroupingControl1.DataSource = ReturnATable();
            this.gridGroupingControl1.ThemesEnabled = true;
            this.gridGroupingControl1.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Office2007Blue;
            this.gridGroupingControl1.TopLevelGroupOptions.ShowAddNewRecordBeforeDetails = false;
            this.gridGroupingControl1.TopLevelGroupOptions.ShowCaption = false;
            this.gridGroupingControl1.TopLevelGroupOptions.ShowFilterBar = true;
          
            this.gridGroupingControl1.TableControlCellClick += new GridTableControlCellClickEventHandler(gridGroupingControl1_TableControlCellClick);

        }

        void gridGroupingControl1_TableControlCellClick(object sender, GridTableControlCellClickEventArgs e)
        {
            GridTableCellStyleInfo style = e.TableControl.GetTableViewStyleInfo(e.Inner.RowIndex, e.Inner.ColIndex);
            GridTableCellStyleInfoIdentity id = style.TableCellIdentity;
            if (id.DisplayElement.Kind == DisplayElementKind.Record)//this is to validate whether the cell click is done only in value cells and not in headers/Caption row/anyother.
            {
                Record rec = id.DisplayElement.GetRecord();
                MessageBox.Show("RowIndex is:" + rec.Id.ToString()); //Real RowIndex
            }
        }
      

        private DataTable ReturnATable()
        {
            DataTable table = new DataTable("People");

            //Adds two columns.
            table.Columns.Add(new DataColumn("FirstName"));
            table.Columns.Add(new DataColumn("LastName"));
            table.Columns.Add(new DataColumn("Integer TypeColumn",typeof(int)));
           

            //Adds some rows.
            DataRow dr = table.NewRow();
            dr["FirstName"] = "John";
            dr["LastName"] = "Smith";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "Mary";
            dr["LastName"] = "Tucker";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "Sue";
            dr["LastName"] = "Gaskins";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "John";
            dr["LastName"] = "Jacobs";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "Sam";
            dr["LastName"] = "Garfunkel";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "George";
            dr["LastName"] = "Shepherd";
            table.Rows.Add(dr);

            dr = table.NewRow();
            dr["FirstName"] = "Becky";
            dr["LastName"] = "Dunsford";
            table.Rows.Add(dr);

            return table;
        }
    }
}
